function [phi] = func_phi_interp(L,J,n)

if L<=8
    x_tot = 8;
elseif (L>8)&(L<=12)
    x_tot = 16;
else
    fprintf('\n Outside scope of program')
    keyboard
end 

x = (0:1/2^J:x_tot)';
phi = zeros(size(x));

[phi_vec]=func_calc_phi(L,n);
[p] = func_calc_filter_coefs(L);

for II = 1:(L-2)
    temp = find((x>0.99999*II)&(x<1.00001*II));
    phi(temp) = phi_vec(II);
    clear temp
end
clear phi_vec


kVec = (1:2:((2^J)*(L-1)-1))';
for JJ = 1:J
    jVal = JJ;
    for KK = 1:length(kVec)
        kVal = kVec(KK);
        xVal = kVal/2^jVal;
        tempPhi = 0;
        for LL = 0:(L-1)
            lVal = LL;
            phiIndex = kVal/2^(jVal-1) - lVal;
            if (phiIndex>0)&(phiIndex<(L-1))
                temp = find((x>0.99999*phiIndex)&(x<1.00001*phiIndex));
                tempPhi = tempPhi + (2^n)*p(lVal+1)*phi(temp);
            end
            clear lVal phiIndex temp
        end
        temp = find((x>0.99999*xVal)&(x<1.00001*xVal));
        phi(temp) = tempPhi;
        clear temp tempPhi kVal xVal
    end
    clear jVal
end
clear kVec

phi(end) = [];
