function [p] = func_calc_filter_coefs(L)

% this function finds the filter coefficients for the Daubechies scaling
% function of order L.  (i.e. DB6 has 6 coefficients)
% The convention used is the sum of the coefficients is equal to 2

if (L<2)&(floor(L/2)~=ceil(L/2))
    fprintf('\n Number of coefficients must be 2 or greater and even\n')
    keyboard
end

N = L/2;

p = 2*dbaux(N);

if (sum(p)>2.001)|(sum(p)<1.999)
    keyboard  %something wrong with the filter coefficients
end
p = p(:);

