function outVar = func_exponential_MDOF_condensed(u_j,WF,TF,LHS,RHS,gap2spring,penaltyForce,expTerm)
% Force is multiplied by the inverse of WF because this is not coming from
% the Galerkin per se...more from F = phi*f

u_end = TF*u_j;

temp = max(penaltyForce*(exp(expTerm*(u_end-gap2spring))-1),0);
f_exp = WF\temp;

outVar = (LHS*u_j + (-RHS+f_exp));